%define	name	ripperx
%define	oname	ripperX
%define	version	2.6.1
%define	release	1mdk

Summary:	GTK program to rip CD audio and encode mp3s
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
Requires:	cdparanoia
BuildRequires:	gtk+-devel >= 1.2
Source0:	%{oname}-%{version}.tar.bz2
Source1:	%{oname}-48.png
Source2:	%{oname}-32.png
Source3:	%{oname}-16.png
URL:		http://sourceforge.net/projects/ripperx/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	%{oname}
Obsoletes:	%{oname}

%description
GTK program to rip CD audio and encode mp3s. Supports parallel
ripping/encoding, has plugins for cdparanoia, BladeEnc, Lame, 
GoGo, FHG (l3enc and mp3enc), XingMp3enc, 8hz-mp3, and the 
ISO encoder.  Also has support for CDDB and ID3 tags.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -m644 src/xpms/%{oname}-icon.xpm -D $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{oname}-icon.xpm
install -m644 %{oname}.desktop -D $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Multimedia/%{oname}.desktop

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{oname}" needs="X11" \
icon="%{oname}.png" section="Multimedia/Sound" \
title="%{oname}" longtitle="RipperX can rip audio cd's and encode them to mp3's"
EOF

#icon
install -m644 %{SOURCE1} -D $RPM_BUILD_ROOT/%{_liconsdir}/%{oname}.png
install -m644 %{SOURCE2} -D $RPM_BUILD_ROOT/%{_iconsdir}/%{oname}.png
install -m644 %{SOURCE3} -D $RPM_BUILD_ROOT/%{_miconsdir}/%{oname}.png

%post
%{update_menus}

%postun
%{clean_menus}
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FAQ README README.plugin README.plugin_spec_v0.1 README.plugin_tester TODO CHANGES COPYING BUGS
%{_bindir}/%{oname}*
%{_menudir}/%{name}
%{_iconsdir}/%{oname}.png
%{_liconsdir}/%{oname}.png
%{_miconsdir}/%{oname}.png
%{_datadir}/pixmaps/%{oname}-icon.xpm
%{_datadir}/gnome/apps/Multimedia/%{oname}.desktop

%changelog
* Sat May 29 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.6.1-1mdk
- 2.6.1

* Wed May 26 2004 Robert Vojta <robert.vojta@mandrake.org> 2.6.0-3mdk
- fixed menu entry (use %{oname} instead of %{name})

* Sun Jan 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.6.0-2mdk
- fix provides/obsoletes

* Mon Dec 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.6.0-1mdk
- 2.6.0
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- don't bzip2 icons in src.rpm
- cleanups
- no explicit library dependency
- fix buildrequires (lib64..)
- quiet setup

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.5-2mdk
- rebuild

* Wed Jan 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.5-1mdk
- 2.5

* Thu Sep 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.4-1mdk
- 2.4

* Fri Jun 14 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.3-2mdk
- BuildRequires
- png icons (out xpm!)
- update URL

* Mon Dec 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.3-1mdk
- 2.3

* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2-1mdk
- 2.2

* Thu Apr 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0-1mdk
- added in contribs by Marcel Pol <mpol@gmx.net> :
	- Made rpm for Mandrake
	- Version 2.0 (Jan 09 2000)
	- Added menu-entry

* Mon Jan 03 2000 Dax Kelson <dax@gurulabs.com>
- Version 1.9
- Updated SPEC to use a $RPM_BUILD_ROOT, changelog, docs, and the strip binaries
- Created GNOME ".desktop" file so ripperX shows up on the menu
- Patch so cdparanoia fills files that are group writable, enabling shared directory ripping
